Query system agent configuration

Query the configuration of the specified system agent in the workspace.

HTTP
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/system-agent-setups/{agent_id}

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Set $AGENT_ID to the ID of the system agent to retrieve.

Request

Shell
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/system-agent-setups/$AGENT_ID" -H "X-API-Key: $CLOUDSIGMA_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

Returns 200 and system agent configuration on success.

JSON
{"code":0,"data":{"agent_id":"agent_01"}}

The response fields are as follows.

Field

Type

Description

data.agent_id

string

System agent ID.

Error response

JSON
{"code":5,"message":"not found"}
Last updated on